ODFPY 1.2.0 |

All Classes Namespaces Files Functions Variables
Public Member Functions | Static Public Attributes | List of all members
odf.element.Node Class Reference

super class for more specific nodes More...

Inheritance diagram for odf.element.Node:
[legend]
Collaboration diagram for odf.element.Node:
[legend]

## Public Member Functions
def | hasChildNodes
| Tells whether this element has any children; text nodes, subelements, whatever. More...
def | insertBefore
| Inserts the node newChild before the existing child node refChild. More...
def | appendChild
| Adds the node newChild to the end of the list of children of this node. More...
def | removeChild
| Removes the child node indicated by oldChild from the list of children, and returns it. More...
def | __str__
def | __unicode__

## Static Public Attributes
| parentNode = None
| nextSibling = None
| previousSibling = None

## Detailed Description

super class for more specific nodes

Definition at line 101 of file element.py.

## Member Function Documentation

def odf.element.Node.__str__ | ( |  | self | ) |

Definition at line 192 of file element.py.

def odf.element.Node.__unicode__ | ( |  | self | ) |

Definition at line 198 of file element.py.

def odf.element.Node.appendChild | ( |  | self,
|  |  | newChild
| ) |  |

Adds the node newChild to the end of the list of children of this node.

If the newChild is already in the tree, it is first removed.

Definition at line 159 of file element.py.

Here is the call graph for this function:

Here is the caller graph for this function:

def odf.element.Node.hasChildNodes | ( |  | self | ) |

Tells whether this element has any children; text nodes, subelements, whatever.

Definition at line 110 of file element.py.

def odf.element.Node.insertBefore | ( |  | self,
|  |  | newChild,
|  |  | refChild
| ) |  |

Inserts the node newChild before the existing child node refChild.

If refChild is null, insert newChild at the end of the list of children.

Definition at line 131 of file element.py.

Here is the call graph for this function:

def odf.element.Node.removeChild | ( |  | self,
|  |  | oldChild
| ) |  |

Removes the child node indicated by oldChild from the list of children, and returns it.

Definition at line 176 of file element.py.

## Member Data Documentation

odf.element.Node.nextSibling = None
| static

Definition at line 103 of file element.py.

odf.element.Node.parentNode = None
| static

Definition at line 102 of file element.py.

odf.element.Node.previousSibling = None
| static

Definition at line 104 of file element.py.

The documentation for this class was generated from the following file:

- odf/element.py